'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d306c125.js');
require('./constants-497e054e.js');
const responseLoader = require('./response-loader-a5b8415f.js');

/**
 * Renders a user's response to a question, without rendering the UI for the whole question.
 *
 */
class PieResponse {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.doc = index.getContext(this, "document");
    }
    render() {
        var _a;
        this.el.style.margin = '0px';
        if (!this.sessionData || !((_a = this.sessionData) === null || _a === void 0 ? void 0 : _a.itemConfig)) {
            return false;
        }
        const loaded = responseLoader.loadResponseElement("response", this.sessionData, this.el, this.multiPart);
        if (!loaded) {
            return index.h("slot", { name: "na" });
        }
    }
    get el() { return index.getElement(this); }
}

exports.pie_response = PieResponse;
