export declare const findPie: (pies: any, element: any) => any;
export declare const findSessionData: (data: any, id: any) => any;
/**
 * ResponsesService gets all the responses via upsertAggregate function
 * and groups the responses by itemConfig.id,
 * in order to call the aggregates service
 * with proper data (array of responses)
 */
export default class ResponsesService {
    questions: object;
    constructor();
    /**
     * Gets response data and stores it in the appropriate group
     * @param aggregateData: {aggregateId, data, sessionId, score}, where:
     * aggregateId: the key of the group where the response should be added/updated (itemConfig.id)
     * data: the session data
     * sessionId: the session id
     * score: the score for the response
     */
    upsertAggregate: (aggregateData: any) => void;
    /**
     * Returns aggregate for a specific group
     * @param itemConfig: { models, elements }
     * @param aggregateId: the key of the group
     */
    getAggregate: (itemConfig: any, aggregateId: any) => any;
}
