'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d306c125.js');

class ItemMetadata {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    updatePieApilive() {
        var _a;
        if (this._key && this.attribute) {
            const newMeta = { key: this._key, attribute: this.attribute };
            const pieLive = this.el.closest("pie-api-live");
            const metadata = (_a = pieLive.metadata) !== null && _a !== void 0 ? _a : [];
            if (!metadata.includes(newMeta)) {
                metadata.push({ key: this._key, attribute: this.attribute });
                pieLive.metadata = metadata;
            }
        }
    }
    componentWillLoad() {
        this.updatePieApilive();
    }
    get el() { return index.getElement(this); }
    static get watchers() { return {
        "_key": ["updatePieApilive"],
        "attribute": ["updatePieApilive"]
    }; }
}

exports.item_metadata = ItemMetadata;
