import { Component, Prop, h } from "@stencil/core";
export class MyCircleProgress {
    constructor() {
        this.progressAmount = "0";
        this.progressColor = "#2ecc71";
    }
    render() {
        return (h("div", { class: "lds-ring" },
            h("div", null),
            h("div", null),
            h("div", null),
            h("div", null)));
    }
    static get is() { return "loading-indicator"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["loading-indicator.css"]
    }; }
    static get styleUrls() { return {
        "$": ["loading-indicator.css"]
    }; }
    static get properties() { return {
        "progressAmount": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "progress-amount",
            "reflect": false,
            "defaultValue": "\"0\""
        },
        "progressColor": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "progress-color",
            "reflect": false,
            "defaultValue": "\"#2ecc71\""
        }
    }; }
}
