export const students = [
  {
    id: 'stud1',
    name: 'Student 1'
  },
  {
    id: 'stud2',
    name: 'Student 2'
  },
  // {
  //   id: 'stud3',
  //   name: 'Student 3'
  // },
  // {
  //   id: 'stud4',
  //   name: 'Student 4'
  // },
  // {
  //   id: 'stud5',
  //   name: 'Student 5'
  // },
  // {
  //   id: 'stud6',
  //   name: 'Student 6'
  // },
  // {
  //   id: 'stud7',
  //   name: 'Student 7'
  // },
  // {
  //   id: 'stud8',
  //   name: 'Student 8'
  // },
  // {
  //   id: 'stud9',
  //   name: 'Student 9'
  // },
  // {
  //   id: 'stud10',
  //   name: 'Student 10'
  // },
  // {
  //   id: 'stud11',
  //   name: 'Student 11'
  // },
  // {
  //   id: 'stud12',
  //   name: 'Student 12'
  // },
  // {
  //   id: 'stud13',
  //   name: 'Student 13'
  // },
  // {
  //   id: 'stud14',
  //   name: 'Student 14'
  // },
  // {
  //   id: 'stud15',
  //   name: 'Student 15'
  // },
  // {
  //   id: 'stud16',
  //   name: 'Student 16'
  // },
  // {
  //   id: 'stud17',
  //   name: 'Student 17'
  // },
  // {
  //   id: 'stud18',
  //   name: 'Student 18'
  // },
  // {
  //   id: 'stud19',
  //   name: 'Student 19'
  // },
  // {
  //   id: 'stud20',
  //   name: 'Student 20'
  // }

];
export const questions = [
  {
    id: 'question-1',
    element: 'categorize'
  },
  {
    id: 'question-1',
    element: 'charting'
  },
  {
    id: 'question-1',
    element: 'constructed'
  },
  // {
  //   id: 'question-2',
  //   element: 'constructed'
  // },
  // {
  //   id: 'question-1',
  //   element: 'drag-in-the-blank'
  // },
  // {
  //   id: 'question-1',
  //   element: 'drawing'
  // },
  // {
  //   id: 'question-1',
  //   element: 'ebsr'
  // },
  // {
  //   id: 'question-1',
  //   element: 'extended-text-entry'
  // },
  // {
  //   id: 'question-1',
  //   element: 'hotspot'
  // },
  // {
  //   id: 'question-1',
  //   element: 'inline-dropdown'
  // },
  // {
  //   id: 'question-1',
  //   element: 'match'
  // },
  // {
  //   id: 'question-1',
  //   element: 'match-list'
  // },
  // {
  //   id: 'question-1',
  //   element: 'math-inline'
  // },
  // {
  //   id: 'question-1',
  //   element: 'multiple-choice'
  // },
  // {
  //   id: 'question-2',
  //   element: 'multiple-choice'
  // }, {
  //   id: 'question-3',
  //   element: 'multiple-choice'
  // }, {
  //   id: 'question-4',
  //   element: 'multiple-choice'
  // }, {
  //   id: 'question-5',
  //   element: 'multiple-choice'
  // },
  // {
  //   id: 'question-1',
  //   element: 'number-line'
  // },
  // {
  //   id: 'question-1',
  //   element: 'ordering'
  // },
  // {
  //   id: 'question-1',
  //   element: 'select-text'
  // }
];

export function createExpandToSeeMoreDetails(response) {
  const expandable = document.createElement('div');
  const magnifier = document.createElement('div');

  expandable.setAttribute('slot', 'na');
  expandable.classList.add('expandable');
  expandable.innerText = 'Expand to see more details';
  expandable.onclick = () => alert('Expanded!');

  magnifier.innerText = '⚲';
  magnifier.classList.add('magnifier');

  expandable.appendChild(magnifier);
  response.appendChild(expandable);
}

export function createStudentPlayers({ sessions }) {
  // get parameters
  const params = new URLSearchParams(window.location.search);
  const token = params.get('token');
  const env = params.get('env') ?? 'qa';

  const studentsView = document.querySelector('#student-view-players');
  const existingPlayers = document.querySelectorAll("pie-api-player");

  sessions.forEach((session, index) => {
    const { question, sessionId } = session || {};

    // get player
    if (existingPlayers.length && existingPlayers[index]) {
      const player = existingPlayers[index];
      const questionName = player.querySelector('span');

      player.token = token;
      player.optimize = true;
      player.host = env;
      player.sessionId = sessionId;

      questionName.innerText = `${question.element}-${question.id}`;
    } else {
      const playerWrapper = document.createElement('div');

      playerWrapper.classList.add('player-wrapper');

      const player = document.createElement('pie-api-player');
      const questionName = document.createElement('span');

      player.token = token;
      player.optimize = true;
      player.host = env;
      player.sessionId = sessionId;

      questionName.innerText = `${question.element}-${question.id}`;

      playerWrapper.appendChild(questionName);
      playerWrapper.appendChild(player);
      studentsView.appendChild(playerWrapper);
    }
  });
}

export function populateStudentsSelector() {
  const studentSelector = document.querySelector('#student-selector');

  studentSelector.innerHTML = '';

  // add a first default option
  [
    { id: 'default', name: 'Select a student' },
    ...students
  ].forEach(student => {
    const studentSelectorOption = document.createElement('option');

    studentSelectorOption.value = student.id;
    studentSelectorOption.innerText = student.name;

    studentSelector.appendChild(studentSelectorOption);
  });
}
