/* PieApiLive custom elements bundle */

import { Components } from "../types/components";

interface ItemMetadata extends Components.ItemMetadata, HTMLElement {}
export const ItemMetadata: {
  prototype: ItemMetadata;
  new (): ItemMetadata;
};

interface LoadingIndicator extends Components.LoadingIndicator, HTMLElement {}
export const LoadingIndicator: {
  prototype: LoadingIndicator;
  new (): LoadingIndicator;
};

interface PieAggregate extends Components.PieAggregate, HTMLElement {}
export const PieAggregate: {
  prototype: PieAggregate;
  new (): PieAggregate;
};

interface PieApiLive extends Components.PieApiLive, HTMLElement {}
export const PieApiLive: {
  prototype: PieApiLive;
  new (): PieApiLive;
};

interface PieLiveSession extends Components.PieLiveSession, HTMLElement {}
export const PieLiveSession: {
  prototype: PieLiveSession;
  new (): PieLiveSession;
};

interface PieResponse extends Components.PieResponse, HTMLElement {}
export const PieResponse: {
  prototype: PieResponse;
  new (): PieResponse;
};

interface PieResponseCell extends Components.PieResponseCell, HTMLElement {}
export const PieResponseCell: {
  prototype: PieResponseCell;
  new (): PieResponseCell;
};

/**
 * Utility to automatically define all custom elements within this package. 
 * Use the standard [customElements.define()](https://developer.mozilla.org/en-US/docs/Web/API/CustomElementRegistry/define) 
 * method instead to define custom elements individually.
 */
export declare const defineCustomElements: () => void;

export * from '../types';
