import { r as registerInstance, g as getElement } from './index-61a21509.js';

class ItemMetadata {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    updatePieApilive() {
        var _a;
        if (this._key && this.attribute) {
            const newMeta = { key: this._key, attribute: this.attribute };
            const pieLive = this.el.closest("pie-api-live");
            const metadata = (_a = pieLive.metadata) !== null && _a !== void 0 ? _a : [];
            if (!metadata.includes(newMeta)) {
                metadata.push({ key: this._key, attribute: this.attribute });
                pieLive.metadata = metadata;
            }
        }
    }
    componentWillLoad() {
        this.updatePieApilive();
    }
    get el() { return getElement(this); }
    static get watchers() { return {
        "_key": ["updatePieApilive"],
        "attribute": ["updatePieApilive"]
    }; }
}

export { ItemMetadata as item_metadata };
