import { r as registerInstance, h } from './index-61a21509.js';

const loadingIndicatorCss = ".lds-ring{display:inline-block;position:relative;width:calc(var(--pie-live-session-loading-indicator-height, 40px) * 0.8);height:calc(var(--pie-live-session-loading-indicator-height, 40px) * 0.8)}.lds-ring div{box-sizing:border-box;display:block;position:absolute;width:calc(var(--pie-live-session-loading-indicator-height, 40px) * 0.8);height:calc(var(--pie-live-session-loading-indicator-height, 40px) * 0.8);margin:calc(var(--pie-live-session-loading-indicator-height, 40px) * 0.1);border:calc(var(--pie-live-session-loading-indicator-height, 40px) * 0.1) solid var(--pie-live-session-loading-indicator-color, grey);border-radius:50%;animation:lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;border-color:var(--pie-live-session-loading-indicator-color, grey) transparent transparent transparent}.lds-ring div:nth-child(1){animation-delay:-0.45s}.lds-ring div:nth-child(2){animation-delay:-0.3s}.lds-ring div:nth-child(3){animation-delay:-0.15s}@keyframes lds-ring{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";

class MyCircleProgress {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.progressAmount = "0";
        this.progressColor = "#2ecc71";
    }
    render() {
        return (h("div", { class: "lds-ring" }, h("div", null), h("div", null), h("div", null), h("div", null)));
    }
}
MyCircleProgress.style = loadingIndicatorCss;

export { MyCircleProgress as loading_indicator };
