import { r as registerInstance, d as getContext, h, g as getElement } from './index-61a21509.js';
import './constants-fd932faf.js';
import { a as loadResponseElement } from './response-loader-49a04d04.js';

/**
 * Renders a user's response to a question, without rendering the UI for the whole question.
 *
 */
class PieResponse {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.doc = getContext(this, "document");
    }
    render() {
        var _a;
        this.el.style.margin = '0px';
        if (!this.sessionData || !((_a = this.sessionData) === null || _a === void 0 ? void 0 : _a.itemConfig)) {
            return false;
        }
        const loaded = loadResponseElement("response", this.sessionData, this.el, this.multiPart);
        if (!loaded) {
            return h("slot", { name: "na" });
        }
    }
    get el() { return getElement(this); }
}

export { PieResponse as pie_response };
