export interface ResponseModel {
    item: Object;
    response: Object;
}
/**
 * Renders a user's response to a question, without rendering the UI for the whole question.
 *
 */
export declare class PieResponse {
    doc: Document;
    el: HTMLElement;
    /**
     * The model of the response(s) to render.
     * This will be automaticaly set it the component is nested within a `pie-live-session` component.
     * TODO - fix typing
     * @internal
     */
    sessionData: any;
    /**
     * If multi-part items should be supported (render all parts)
     */
    multiPart: boolean;
    render(): any;
}
